TikTok API
O TikTok alcança mais de 1 bilhão de usuários mensais através de vídeos curtos, transmissões ao vivo e descobertas baseadas em tendências, tornando-se importante para relevância cultural, campanhas de criadores e descoberta de produtos.
URL base
https://api.pressmonitor.com/tiktok/v1 Autenticação
Todas as requisições usam autenticação por token Bearer. Adicione o cabeçalho Authorization a cada chamada.
Authorization: Bearer YOUR_TOKEN /challenge-info Informações do Desafio
Challenge Info
Parâmetros
| Nome | Tipo | Localização | Obrigatório | Descrição |
|---|---|---|---|---|
| challenge_id | string | query | Sim | ID do Desafio |
| device_id | string | query | Não | ID do Dispositivo |
Exemplos de Código
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/challenge-info?challenge_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/challenge-info?challenge_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/challenge-info" querystring = {"challenge_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/challenge-info?challenge_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/challenge-info?challenge_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respostas
/challenge-posts Publicações do Desafio
Challenge Posts
Parâmetros
| Nome | Tipo | Localização | Obrigatório | Descrição |
|---|---|---|---|---|
| challenge_id | string | query | Sim | ID do Desafio |
| count | integer | query | Não | Número de resultados a retornar |
| cursor | integer | query | Não | Cursor |
| device_id | string | query | Não | ID do Dispositivo |
Exemplos de Código
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/challenge-posts?challenge_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/challenge-posts?challenge_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/challenge-posts" querystring = {"challenge_id":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/challenge-posts?challenge_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/challenge-posts?challenge_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respostas
/collection-info Informações da Coleção
Collection Info
Parâmetros
| Nome | Tipo | Localização | Obrigatório | Descrição |
|---|---|---|---|---|
| collection_id | string | query | Sim | ID da Coleção |
| device_id | string | query | Não | ID do Dispositivo |
Exemplos de Código
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/collection-info?collection_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/collection-info?collection_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/collection-info" querystring = {"collection_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/collection-info?collection_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/collection-info?collection_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respostas
/collection-posts Publicações da Coleção
Collection Posts
Parâmetros
| Nome | Tipo | Localização | Obrigatório | Descrição |
|---|---|---|---|---|
| collection_id | string | query | Sim | ID da Coleção |
| count | integer | query | Não | Número de resultados a retornar |
| cursor | integer | query | Não | Cursor |
| device_id | string | query | Não | ID do Dispositivo |
Exemplos de Código
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/collection-posts?collection_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/collection-posts?collection_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/collection-posts" querystring = {"collection_id":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/collection-posts?collection_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/collection-posts?collection_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respostas
/download-music Baixar Música
Download Music
Parâmetros
| Nome | Tipo | Localização | Obrigatório | Descrição |
|---|---|---|---|---|
| music_id | string | query | Sim | ID da Música |
| device_id | string | query | Não | ID do Dispositivo |
| format | string | query | Não | Formato |
Exemplos de Código
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/download-music?music_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&format=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/download-music?music_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&format=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/download-music" querystring = {"music_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE","format":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/download-music?music_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&format=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/download-music?music_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&format=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respostas
/download-video Baixar Vídeo
Download Video
Parâmetros
| Nome | Tipo | Localização | Obrigatório | Descrição |
|---|---|---|---|---|
| aweme_id | string | query | Sim | ID do Aweme |
| device_id | string | query | Não | ID do Dispositivo |
| format | string | query | Não | Formato |
Exemplos de Código
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/download-video?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&format=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/download-video?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&format=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/download-video" querystring = {"aweme_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE","format":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/download-video?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&format=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/download-video?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&format=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respostas
/effect-info Informações do Efeito
Effect Info
Parâmetros
| Nome | Tipo | Localização | Obrigatório | Descrição |
|---|---|---|---|---|
| effect_id | string | query | Sim | ID do Efeito |
| device_id | string | query | Não | ID do Dispositivo |
Exemplos de Código
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/effect-info?effect_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/effect-info?effect_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/effect-info" querystring = {"effect_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/effect-info?effect_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/effect-info?effect_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respostas
/effect-posts Publicações do Efeito
Effect Posts
Parâmetros
| Nome | Tipo | Localização | Obrigatório | Descrição |
|---|---|---|---|---|
| effect_id | string | query | Sim | ID do Efeito |
| count | integer | query | Não | Número de resultados a retornar |
| cursor | integer | query | Não | Cursor |
| device_id | string | query | Não | ID do Dispositivo |
Exemplos de Código
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/effect-posts?effect_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/effect-posts?effect_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/effect-posts" querystring = {"effect_id":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/effect-posts?effect_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/effect-posts?effect_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respostas
/live-category Categoria ao Vivo
Live Category
Parâmetros
| Nome | Tipo | Localização | Obrigatório | Descrição |
|---|---|---|---|---|
| device_id | string | query | Não | ID do Dispositivo |
| lang | string | query | Não | Idioma |
Exemplos de Código
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/live-category?device_id=SOME_STRING_VALUE&lang=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/live-category?device_id=SOME_STRING_VALUE&lang=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/live-category" querystring = {"device_id":"SOME_STRING_VALUE","lang":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/live-category?device_id=SOME_STRING_VALUE&lang=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/live-category?device_id=SOME_STRING_VALUE&lang=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respostas
/live-check-alive Verificação de Vida ao Vivo
Live Check Alive
Parâmetros
| Nome | Tipo | Localização | Obrigatório | Descrição |
|---|---|---|---|---|
| room_id | string | query | Sim | ID da Sala |
| device_id | string | query | Não | ID do Dispositivo |
Exemplos de Código
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/live-check-alive?room_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/live-check-alive?room_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/live-check-alive" querystring = {"room_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/live-check-alive?room_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/live-check-alive?room_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respostas
/live-stream Transmissão ao Vivo
Live Stream
Parâmetros
| Nome | Tipo | Localização | Obrigatório | Descrição |
|---|---|---|---|---|
| room_id | string | query | Sim | ID da Sala |
| device_id | string | query | Não | ID do Dispositivo |
Exemplos de Código
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/live-stream?room_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/live-stream?room_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/live-stream" querystring = {"room_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/live-stream?room_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/live-stream?room_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respostas
/music-info Informações da Música
Music Info
Parâmetros
| Nome | Tipo | Localização | Obrigatório | Descrição |
|---|---|---|---|---|
| music_id | string | query | Sim | ID da Música |
| device_id | string | query | Não | ID do Dispositivo |
Exemplos de Código
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/music-info?music_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/music-info?music_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/music-info" querystring = {"music_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/music-info?music_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/music-info?music_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respostas
/music-posts Publicações de Música
Music Posts
Parâmetros
| Nome | Tipo | Localização | Obrigatório | Descrição |
|---|---|---|---|---|
| music_id | string | query | Sim | ID da Música |
| count | integer | query | Não | Número de resultados a retornar |
| cursor | integer | query | Não | Cursor |
| device_id | string | query | Não | ID do Dispositivo |
Exemplos de Código
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/music-posts?music_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/music-posts?music_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/music-posts" querystring = {"music_id":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/music-posts?music_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/music-posts?music_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respostas
/music-unlimited-sounds Músicas com Sons Ilimitados
Music Unlimited Sounds
Parâmetros
| Nome | Tipo | Localização | Obrigatório | Descrição |
|---|---|---|---|---|
| music_id | string | query | Sim | ID da Música |
| count | integer | query | Não | Número de resultados a retornar |
| cursor | integer | query | Não | Cursor |
| device_id | string | query | Não | ID do Dispositivo |
Exemplos de Código
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/music-unlimited-sounds?music_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/music-unlimited-sounds?music_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/music-unlimited-sounds" querystring = {"music_id":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/music-unlimited-sounds?music_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/music-unlimited-sounds?music_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respostas
/place-info Informações do Local
Place Info
Parâmetros
| Nome | Tipo | Localização | Obrigatório | Descrição |
|---|---|---|---|---|
| challenge_id | string | query | Sim | ID do Desafio |
| device_id | string | query | Não | ID do Dispositivo |
Exemplos de Código
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/place-info?challenge_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/place-info?challenge_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/place-info" querystring = {"challenge_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/place-info?challenge_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/place-info?challenge_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respostas
/place-posts Publicações do Local
Place Posts
Parâmetros
| Nome | Tipo | Localização | Obrigatório | Descrição |
|---|---|---|---|---|
| challenge_id | string | query | Sim | ID do Desafio |
| count | integer | query | Não | Número de resultados a retornar |
| cursor | integer | query | Não | Cursor |
| device_id | string | query | Não | ID do Dispositivo |
Exemplos de Código
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/place-posts?challenge_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/place-posts?challenge_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/place-posts" querystring = {"challenge_id":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/place-posts?challenge_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/place-posts?challenge_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respostas
/post-category Categoria da Publicação
Post Category
Parâmetros
| Nome | Tipo | Localização | Obrigatório | Descrição |
|---|---|---|---|---|
| sec_uid | string | query | Sim | Sec Uid |
| category_type | string | query | Não | Tipo de Categoria |
| count | integer | query | Não | Número de resultados a retornar |
| cursor | integer | query | Não | Cursor |
| device_id | string | query | Não | ID do Dispositivo |
Exemplos de Código
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/post-category?sec_uid=SOME_STRING_VALUE&category_type=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/post-category?sec_uid=SOME_STRING_VALUE&category_type=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/post-category" querystring = {"sec_uid":"SOME_STRING_VALUE","category_type":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/post-category?sec_uid=SOME_STRING_VALUE&category_type=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/post-category?sec_uid=SOME_STRING_VALUE&category_type=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respostas
/post-comments Comentários da Publicação
Post Comments
Parâmetros
| Nome | Tipo | Localização | Obrigatório | Descrição |
|---|---|---|---|---|
| aweme_id | string | query | Sim | ID do Aweme |
| count | integer | query | Não | Número de resultados a retornar |
| cursor | integer | query | Não | Cursor |
| device_id | string | query | Não | ID do Dispositivo |
Exemplos de Código
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/post-comments?aweme_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/post-comments?aweme_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/post-comments" querystring = {"aweme_id":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/post-comments?aweme_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/post-comments?aweme_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respostas
/post-detail Detalhes da Publicação
Post Detail
Parâmetros
| Nome | Tipo | Localização | Obrigatório | Descrição |
|---|---|---|---|---|
| aweme_id | string | query | Sim | ID do Aweme |
| device_id | string | query | Não | ID do Dispositivo |
| from | string | query | Não | De |
Exemplos de Código
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/post-detail?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&from=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/post-detail?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&from=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/post-detail" querystring = {"aweme_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE","from":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/post-detail?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&from=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/post-detail?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&from=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respostas
/post-discover-keyword Palavra-chave de Descoberta da Publicação
Post Discover Keyword
Parâmetros
| Nome | Tipo | Localização | Obrigatório | Descrição |
|---|---|---|---|---|
| keyword | string | query | Sim | Palavra-chave |
| count | integer | query | Não | Número de resultados a retornar |
| cursor | integer | query | Não | Cursor |
| device_id | string | query | Não | ID do Dispositivo |
Exemplos de Código
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/post-discover-keyword?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/post-discover-keyword?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/post-discover-keyword" querystring = {"keyword":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/post-discover-keyword?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/post-discover-keyword?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respostas
/post-related Publicações Relacionadas
Post Related
Parâmetros
| Nome | Tipo | Localização | Obrigatório | Descrição |
|---|---|---|---|---|
| aweme_id | string | query | Sim | ID do Aweme |
| count | integer | query | Não | Número de resultados a retornar |
| device_id | string | query | Não | ID do Dispositivo |
Exemplos de Código
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/post-related?aweme_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/post-related?aweme_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/post-related" querystring = {"aweme_id":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/post-related?aweme_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/post-related?aweme_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respostas
/post-reply-comments Comentários de Resposta da Publicação
Post Reply Comments
Parâmetros
| Nome | Tipo | Localização | Obrigatório | Descrição |
|---|---|---|---|---|
| aweme_id | string | query | Sim | ID do Aweme |
| comment_id | string | query | Sim | ID do Comentário |
| count | integer | query | Não | Número de resultados a retornar |
| cursor | integer | query | Não | Cursor |
| device_id | string | query | Não | ID do Dispositivo |
Exemplos de Código
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/post-reply-comments?aweme_id=SOME_STRING_VALUE&comment_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/post-reply-comments?aweme_id=SOME_STRING_VALUE&comment_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/post-reply-comments" querystring = {"aweme_id":"SOME_STRING_VALUE","comment_id":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/post-reply-comments?aweme_id=SOME_STRING_VALUE&comment_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/post-reply-comments?aweme_id=SOME_STRING_VALUE&comment_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respostas
/search-account Pesquisar Conta
Search Account
Parâmetros
| Nome | Tipo | Localização | Obrigatório | Descrição |
|---|---|---|---|---|
| keyword | string | query | Sim | Palavra-chave |
| count | integer | query | Não | Número de resultados a retornar |
| cursor | integer | query | Não | Cursor |
| device_id | string | query | Não | ID do Dispositivo |
| search_id | string | query | Não | ID da Pesquisa |
Exemplos de Código
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/search-account?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/search-account?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/search-account" querystring = {"keyword":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE","search_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/search-account?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/search-account?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respostas
/search-general Pesquisa Geral
Search General
Parâmetros
| Nome | Tipo | Localização | Obrigatório | Descrição |
|---|---|---|---|---|
| keyword | string | query | Sim | Palavra-chave |
| count | integer | query | Não | Número de resultados a retornar |
| cursor | integer | query | Não | Cursor |
| search_id | string | query | Não | ID da Pesquisa |
Exemplos de Código
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/search-general?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&search_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/search-general?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&search_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/search-general" querystring = {"keyword":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","search_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/search-general?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&search_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/search-general?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&search_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respostas
/search-live Pesquisar Ao Vivo
Search Live
Parâmetros
| Nome | Tipo | Localização | Obrigatório | Descrição |
|---|---|---|---|---|
| keyword | string | query | Sim | Palavra-chave |
| count | integer | query | Não | Número de resultados a retornar |
| cursor | integer | query | Não | Cursor |
| device_id | string | query | Não | ID do Dispositivo |
| search_id | string | query | Não | ID da Pesquisa |
Exemplos de Código
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/search-live?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/search-live?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/search-live" querystring = {"keyword":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE","search_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/search-live?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/search-live?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respostas
/search-suggest-keyword Sugestão de Palavra-chave de Pesquisa
Search Suggest Keyword
Parâmetros
| Nome | Tipo | Localização | Obrigatório | Descrição |
|---|---|---|---|---|
| keyword | string | query | Sim | Palavra-chave |
| device_id | string | query | Não | ID do Dispositivo |
Exemplos de Código
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/search-suggest-keyword?keyword=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/search-suggest-keyword?keyword=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/search-suggest-keyword" querystring = {"keyword":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/search-suggest-keyword?keyword=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/search-suggest-keyword?keyword=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respostas
/search-video Pesquisar Vídeo
Search Video
Parâmetros
| Nome | Tipo | Localização | Obrigatório | Descrição |
|---|---|---|---|---|
| keyword | string | query | Sim | Palavra-chave |
| count | integer | query | Não | Número de resultados a retornar |
| cursor | integer | query | Não | Cursor |
| device_id | string | query | Não | ID do Dispositivo |
| search_id | string | query | Não | ID da Pesquisa |
Exemplos de Código
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/search-video?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/search-video?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/search-video" querystring = {"keyword":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE","search_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/search-video?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/search-video?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respostas
/trending-ads-detail Detalhes dos Anúncios em Alta
Trending Ads Detail
Parâmetros
| Nome | Tipo | Localização | Obrigatório | Descrição |
|---|---|---|---|---|
| aweme_id | string | query | Sim | ID do Aweme |
| device_id | string | query | Não | ID do Dispositivo |
Exemplos de Código
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-ads-detail?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-ads-detail?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-ads-detail" querystring = {"aweme_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-ads-detail?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-ads-detail?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respostas
/trending-commercial-music-library Biblioteca Comercial de Música em Alta
Trending Commercial Music Library
Parâmetros
| Nome | Tipo | Localização | Obrigatório | Descrição |
|---|---|---|---|---|
| period | string | query | Sim | Período |
| country_code | string | query | Não | Código do País |
| device_id | string | query | Não | ID do Dispositivo |
Exemplos de Código
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-library?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-commercial-music-library?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-library" querystring = {"period":"SOME_STRING_VALUE","country_code":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-library?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-library?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respostas
/trending-commercial-music-playlist Playlist Comercial de Música em Alta
Trending Commercial Music Playlist
Parâmetros
| Nome | Tipo | Localização | Obrigatório | Descrição |
|---|---|---|---|---|
| period | string | query | Sim | Período |
| country_code | string | query | Não | Código do País |
| device_id | string | query | Não | ID do Dispositivo |
Exemplos de Código
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-playlist?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-commercial-music-playlist?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-playlist" querystring = {"period":"SOME_STRING_VALUE","country_code":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-playlist?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-playlist?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respostas
/trending-commercial-music-playlist-detail Detalhes da Playlist Comercial de Música em Alta
Trending Commercial Music Playlist Detail
Parâmetros
| Nome | Tipo | Localização | Obrigatório | Descrição |
|---|---|---|---|---|
| playlist_id | string | query | Sim | ID da Playlist |
| device_id | string | query | Não | ID do Dispositivo |
Exemplos de Código
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-playlist-detail?playlist_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-commercial-music-playlist-detail?playlist_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-playlist-detail" querystring = {"playlist_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-playlist-detail?playlist_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-playlist-detail?playlist_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respostas
/trending-creator Criador em Alta
Trending Creator
Parâmetros
| Nome | Tipo | Localização | Obrigatório | Descrição |
|---|---|---|---|---|
| period | string | query | Sim | Período |
| country_code | string | query | Não | Código do País |
| device_id | string | query | Não | ID do Dispositivo |
Exemplos de Código
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-creator?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-creator?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-creator" querystring = {"period":"SOME_STRING_VALUE","country_code":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-creator?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-creator?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respostas
/trending-hashtag Hashtag em Alta
Trending Hashtag
Parâmetros
| Nome | Tipo | Localização | Obrigatório | Descrição |
|---|---|---|---|---|
| period | string | query | Sim | Período |
| country_code | string | query | Não | Código do País |
| device_id | string | query | Não | ID do Dispositivo |
Exemplos de Código
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-hashtag?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-hashtag?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-hashtag" querystring = {"period":"SOME_STRING_VALUE","country_code":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-hashtag?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-hashtag?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respostas
/trending-keyword Palavra-chave em Alta
Trending Keyword
Parâmetros
| Nome | Tipo | Localização | Obrigatório | Descrição |
|---|---|---|---|---|
| period | string | query | Sim | Período |
| country_code | string | query | Não | Código do País |
| device_id | string | query | Não | ID do Dispositivo |
Exemplos de Código
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-keyword?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-keyword?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-keyword" querystring = {"period":"SOME_STRING_VALUE","country_code":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-keyword?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-keyword?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respostas
/trending-keyword-sentence Frase de Palavra-chave em Alta
Trending Keyword Sentence
Parâmetros
| Nome | Tipo | Localização | Obrigatório | Descrição |
|---|---|---|---|---|
| keyword | string | query | Sim | Palavra-chave |
| device_id | string | query | Não | ID do Dispositivo |
Exemplos de Código
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-keyword-sentence?keyword=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-keyword-sentence?keyword=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-keyword-sentence" querystring = {"keyword":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-keyword-sentence?keyword=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-keyword-sentence?keyword=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respostas
/trending-song Canção em Alta
Trending Song
Parâmetros
| Nome | Tipo | Localização | Obrigatório | Descrição |
|---|---|---|---|---|
| period | string | query | Sim | Período |
| country_code | string | query | Não | Código do País |
| device_id | string | query | Não | ID do Dispositivo |
Exemplos de Código
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-song?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-song?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-song" querystring = {"period":"SOME_STRING_VALUE","country_code":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-song?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-song?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respostas
/trending-top-ads Principais Anúncios em Alta
Trending Top Ads
Parâmetros
| Nome | Tipo | Localização | Obrigatório | Descrição |
|---|---|---|---|---|
| keyword | string | query | Sim | Palavra-chave |
| country_code | string | query | Não | Código do País |
| device_id | string | query | Não | ID do Dispositivo |
| period | string | query | Não | Período |
Exemplos de Código
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-top-ads?keyword=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&period=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-top-ads?keyword=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&period=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-top-ads" querystring = {"keyword":"SOME_STRING_VALUE","country_code":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE","period":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-top-ads?keyword=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&period=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-top-ads?keyword=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&period=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respostas
/trending-top-product-detail Detalhes do Produto em Alta
Trending Top Product Detail
Parâmetros
| Nome | Tipo | Localização | Obrigatório | Descrição |
|---|---|---|---|---|
| product_id | string | query | Sim | ID do Produto |
| device_id | string | query | Não | ID do Dispositivo |
Exemplos de Código
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-top-product-detail?product_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-top-product-detail?product_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-top-product-detail" querystring = {"product_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-top-product-detail?product_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-top-product-detail?product_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respostas
/trending-top-product-metrics Métricas dos Principais Produtos em Alta
Trending Top Product Metrics
Parâmetros
| Nome | Tipo | Localização | Obrigatório | Descrição |
|---|---|---|---|---|
| product_id | string | query | Sim | ID do Produto |
| device_id | string | query | Não | ID do Dispositivo |
Exemplos de Código
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-top-product-metrics?product_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-top-product-metrics?product_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-top-product-metrics" querystring = {"product_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-top-product-metrics?product_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-top-product-metrics?product_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respostas
/trending-top-products Principais Produtos em Alta
Trending Top Products
Parâmetros
| Nome | Tipo | Localização | Obrigatório | Descrição |
|---|---|---|---|---|
| period | string | query | Sim | Período |
| country_code | string | query | Não | Código do País |
| device_id | string | query | Não | ID do Dispositivo |
Exemplos de Código
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-top-products?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-top-products?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-top-products" querystring = {"period":"SOME_STRING_VALUE","country_code":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-top-products?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-top-products?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respostas
/trending-video Vídeo em Alta
Trending Video
Parâmetros
| Nome | Tipo | Localização | Obrigatório | Descrição |
|---|---|---|---|---|
| period | string | query | Sim | Período |
| country_code | string | query | Não | Código do País |
| device_id | string | query | Não | ID do Dispositivo |
Exemplos de Código
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-video?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-video?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-video" querystring = {"period":"SOME_STRING_VALUE","country_code":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-video?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-video?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respostas
/trending-video-by-keyword Vídeo em Alta por Palavra-chave
Trending Video By Keyword
Parâmetros
| Nome | Tipo | Localização | Obrigatório | Descrição |
|---|---|---|---|---|
| keyword | string | query | Sim | Palavra-chave |
| count | integer | query | Não | Número de resultados a retornar |
| cursor | integer | query | Não | Cursor |
| device_id | string | query | Não | ID do Dispositivo |
Exemplos de Código
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-video-by-keyword?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-video-by-keyword?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-video-by-keyword" querystring = {"keyword":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-video-by-keyword?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-video-by-keyword?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respostas
/user-followers Seguidores do Usuário
User Followers
Parâmetros
| Nome | Tipo | Localização | Obrigatório | Descrição |
|---|---|---|---|---|
| sec_uid | string | query | Sim | Sec Uid |
| count | integer | query | Não | Número de resultados a retornar |
| min_cursor | string | query | Não | Cursor Mínimo |
Exemplos de Código
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/user-followers?sec_uid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&min_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/user-followers?sec_uid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&min_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/user-followers" querystring = {"sec_uid":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","min_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/user-followers?sec_uid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&min_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/user-followers?sec_uid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&min_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respostas
/user-following Seguindo pelo Usuário
User Following
Parâmetros
| Nome | Tipo | Localização | Obrigatório | Descrição |
|---|---|---|---|---|
| sec_uid | string | query | Sim | Sec Uid |
| count | integer | query | Não | Número de resultados a retornar |
| cursor | integer | query | Não | Cursor |
Exemplos de Código
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/user-following?sec_uid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/user-following?sec_uid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/user-following" querystring = {"sec_uid":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/user-following?sec_uid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/user-following?sec_uid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respostas
/user-info Informações do Usuário
User Info
Parâmetros
| Nome | Tipo | Localização | Obrigatório | Descrição |
|---|---|---|---|---|
| sec_uid | string | query | Não | Sec Uid |
| unique_id | string | query | Não | ID Único |
| with_commerce_info | string | query | Não | Com Informações Comerciais |
Exemplos de Código
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/user-info?sec_uid=SOME_STRING_VALUE&unique_id=SOME_STRING_VALUE&with_commerce_info=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/user-info?sec_uid=SOME_STRING_VALUE&unique_id=SOME_STRING_VALUE&with_commerce_info=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/user-info" querystring = {"sec_uid":"SOME_STRING_VALUE","unique_id":"SOME_STRING_VALUE","with_commerce_info":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/user-info?sec_uid=SOME_STRING_VALUE&unique_id=SOME_STRING_VALUE&with_commerce_info=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/user-info?sec_uid=SOME_STRING_VALUE&unique_id=SOME_STRING_VALUE&with_commerce_info=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respostas
/user-info-by-id Informações do Usuário por ID
User Info By Id
Parâmetros
| Nome | Tipo | Localização | Obrigatório | Descrição |
|---|---|---|---|---|
| user_id | string | query | Sim | ID do Usuário |
| with_commerce_info | string | query | Não | Com Informações Comerciais |
Exemplos de Código
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/user-info-by-id?user_id=SOME_STRING_VALUE&with_commerce_info=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/user-info-by-id?user_id=SOME_STRING_VALUE&with_commerce_info=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/user-info-by-id" querystring = {"user_id":"SOME_STRING_VALUE","with_commerce_info":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/user-info-by-id?user_id=SOME_STRING_VALUE&with_commerce_info=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/user-info-by-id?user_id=SOME_STRING_VALUE&with_commerce_info=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respostas
/user-info-v2 Informações do Usuário V2
User Info V2
Parâmetros
| Nome | Tipo | Localização | Obrigatório | Descrição |
|---|---|---|---|---|
| sec_uid | string | query | Não | Sec Uid |
| unique_id | string | query | Não | ID Único |
| with_commerce_info | string | query | Não | Com Informações Comerciais |
Exemplos de Código
[...]
